gtkmm: gdkmm Enums and Flags

gtkmm 3.24.8

Enumerations | Functions
gdkmm Enums and Flags

## Enumerations
enum | Gdk::Status { Gdk::OK = 0 , Gdk::ERROR = -1 , Gdk::ERROR_PARAM = -2 , Gdk::ERROR_FILE = -3 , Gdk::ERROR_MEM = -4 }

## Functions
EventMask | Gdk::operator| (EventMask lhs, EventMask rhs)
EventMask | Gdk::operator& (EventMask lhs, EventMask rhs)
EventMask | Gdk::operator^ (EventMask lhs, EventMask rhs)
EventMask | Gdk::operator~ (EventMask flags)
EventMask & | Gdk::operator|= (EventMask & lhs, EventMask rhs)
EventMask & | Gdk::operator&= (EventMask & lhs, EventMask rhs)
EventMask & | Gdk::operator^= (EventMask & lhs, EventMask rhs)
DragAction | Gdk::operator| (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator& (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator^ (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator~ (DragAction flags)
DragAction & | Gdk::operator|= (DragAction & lhs, DragAction rhs)
DragAction & | Gdk::operator&= (DragAction & lhs, DragAction rhs)
DragAction & | Gdk::operator^= (DragAction & lhs, DragAction rhs)
AxisFlags | Gdk::operator| (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator& (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator^ (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator~ (AxisFlags flags)
AxisFlags & | Gdk::operator|= (AxisFlags & lhs, AxisFlags rhs)
AxisFlags & | Gdk::operator&= (AxisFlags & lhs, AxisFlags rhs)
AxisFlags & | Gdk::operator^= (AxisFlags & lhs, AxisFlags rhs)
FrameClockPhase | Gdk::operator| (FrameClockPhase lhs, FrameClockPhase rhs)
FrameClockPhase | Gdk::operator& (FrameClockPhase lhs, FrameClockPhase rhs)
FrameClockPhase | Gdk::operator^ (FrameClockPhase lhs, FrameClockPhase rhs)
FrameClockPhase | Gdk::operator~ (FrameClockPhase flags)
FrameClockPhase & | Gdk::operator|= (FrameClockPhase & lhs, FrameClockPhase rhs)
FrameClockPhase & | Gdk::operator&= (FrameClockPhase & lhs, FrameClockPhase rhs)
FrameClockPhase & | Gdk::operator^= (FrameClockPhase & lhs, FrameClockPhase rhs)
SeatCapabilities | Gdk::operator| (SeatCapabilities lhs, SeatCapabilities rhs)
SeatCapabilities | Gdk::operator& (SeatCapabilities lhs, SeatCapabilities rhs)
SeatCapabilities | Gdk::operator^ (SeatCapabilities lhs, SeatCapabilities rhs)
SeatCapabilities | Gdk::operator~ (SeatCapabilities flags)
SeatCapabilities & | Gdk::operator|= (SeatCapabilities & lhs, SeatCapabilities rhs)
SeatCapabilities & | Gdk::operator&= (SeatCapabilities & lhs, SeatCapabilities rhs)
SeatCapabilities & | Gdk::operator^= (SeatCapabilities & lhs, SeatCapabilities rhs)
ModifierType | Gdk::operator| (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator& (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator^ (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator~ (ModifierType flags)
ModifierType & | Gdk::operator|= (ModifierType & lhs, ModifierType rhs)
ModifierType & | Gdk::operator&= (ModifierType & lhs, ModifierType rhs)
ModifierType & | Gdk::operator^= (ModifierType & lhs, ModifierType rhs)
WindowState | Gdk::operator| (WindowState lhs, WindowState rhs)
WindowState | Gdk::operator& (WindowState lhs, WindowState rhs)
WindowState | Gdk::operator^ (WindowState lhs, WindowState rhs)
WindowState | Gdk::operator~ (WindowState flags)
WindowState & | Gdk::operator|= (WindowState & lhs, WindowState rhs)
WindowState & | Gdk::operator&= (WindowState & lhs, WindowState rhs)
WindowState & | Gdk::operator^= (WindowState & lhs, WindowState rhs)
WindowAttributesType | Gdk::operator| (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | Gdk::operator& (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | Gdk::operator^ (WindowAttributesType lhs, WindowAttributesType rhs)
WindowAttributesType | Gdk::operator~ (WindowAttributesType flags)
WindowAttributesType & | Gdk::operator|= (WindowAttributesType & lhs, WindowAttributesType rhs)
WindowAttributesType & | Gdk::operator&= (WindowAttributesType & lhs, WindowAttributesType rhs)
WindowAttributesType & | Gdk::operator^= (WindowAttributesType & lhs, WindowAttributesType rhs)
WindowHints | Gdk::operator| (WindowHints lhs, WindowHints rhs)
WindowHints | Gdk::operator& (WindowHints lhs, WindowHints rhs)
WindowHints | Gdk::operator^ (WindowHints lhs, WindowHints rhs)
WindowHints | Gdk::operator~ (WindowHints flags)
WindowHints & | Gdk::operator|= (WindowHints & lhs, WindowHints rhs)
WindowHints & | Gdk::operator&= (WindowHints & lhs, WindowHints rhs)
WindowHints & | Gdk::operator^= (WindowHints & lhs, WindowHints rhs)
WMDecoration | Gdk::operator| (WMDecoration lhs, WMDecoration rhs)
WMDecoration | Gdk::operator& (WMDecoration lhs, WMDecoration rhs)
WMDecoration | Gdk::operator^ (WMDecoration lhs, WMDecoration rhs)
WMDecoration | Gdk::operator~ (WMDecoration flags)
WMDecoration & | Gdk::operator|= (WMDecoration & lhs, WMDecoration rhs)
WMDecoration & | Gdk::operator&= (WMDecoration & lhs, WMDecoration rhs)
WMDecoration & | Gdk::operator^= (WMDecoration & lhs, WMDecoration rhs)
WMFunction | Gdk::operator| (WMFunction lhs, WMFunction rhs)
WMFunction | Gdk::operator& (WMFunction lhs, WMFunction rhs)
WMFunction | Gdk::operator^ (WMFunction lhs, WMFunction rhs)
WMFunction | Gdk::operator~ (WMFunction flags)
WMFunction & | Gdk::operator|= (WMFunction & lhs, WMFunction rhs)
WMFunction & | Gdk::operator&= (WMFunction & lhs, WMFunction rhs)
WMFunction & | Gdk::operator^= (WMFunction & lhs, WMFunction rhs)
AnchorHints | Gdk::operator| (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator& (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator^ (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator~ (AnchorHints flags)
AnchorHints & | Gdk::operator|= (AnchorHints & lhs, AnchorHints rhs)
AnchorHints & | Gdk::operator&= (AnchorHints & lhs, AnchorHints rhs)
AnchorHints & | Gdk::operator^= (AnchorHints & lhs, AnchorHints rhs)

## Detailed Description

## Enumeration Type Documentation

## ◆ Status

enum Gdk::Status

Enumerator
OK |
ERROR |
ERROR_PARAM |
ERROR_FILE |
ERROR_MEM |

## Function Documentation

## ◆ operator&() [1/12]

AnchorHints Gdk::operator& | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator&() [2/12]

AxisFlags Gdk::operator& | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator&() [3/12]

DragAction Gdk::operator& | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator&() [4/12]

EventMask Gdk::operator& | ( | EventMask | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator&() [5/12]

FrameClockPhase Gdk::operator& | ( | FrameClockPhase | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator&() [6/12]

ModifierType Gdk::operator& | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator&() [7/12]

SeatCapabilities Gdk::operator& | ( | SeatCapabilities | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator&() [8/12]

WindowAttributesType Gdk::operator& | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator&() [9/12]

WindowHints Gdk::operator& | ( | WindowHints | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator&() [10/12]

WindowState Gdk::operator& | ( | WindowState | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator&() [11/12]

WMDecoration Gdk::operator& | ( | WMDecoration | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator&() [12/12]

WMFunction Gdk::operator& | ( | WMFunction | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator&=() [1/12]

AnchorHints & Gdk::operator&= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator&=() [2/12]

AxisFlags & Gdk::operator&= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [3/12]

DragAction & Gdk::operator&= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator&=() [4/12]

EventMask & Gdk::operator&= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator&=() [5/12]

FrameClockPhase & Gdk::operator&= | ( | FrameClockPhase & | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator&=() [6/12]

ModifierType & Gdk::operator&= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator&=() [7/12]

SeatCapabilities & Gdk::operator&= | ( | SeatCapabilities & | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator&=() [8/12]

WindowAttributesType & Gdk::operator&= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator&=() [9/12]

WindowHints & Gdk::operator&= | ( | WindowHints & | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator&=() [10/12]

WindowState & Gdk::operator&= | ( | WindowState & | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator&=() [11/12]

WMDecoration & Gdk::operator&= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator&=() [12/12]

WMFunction & Gdk::operator&= | ( | WMFunction & | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator^() [1/12]

AnchorHints Gdk::operator^ | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator^() [2/12]

AxisFlags Gdk::operator^ | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator^() [3/12]

DragAction Gdk::operator^ | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator^() [4/12]

EventMask Gdk::operator^ | ( | EventMask | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator^() [5/12]

FrameClockPhase Gdk::operator^ | ( | FrameClockPhase | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator^() [6/12]

ModifierType Gdk::operator^ | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator^() [7/12]

SeatCapabilities Gdk::operator^ | ( | SeatCapabilities | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator^() [8/12]

WindowAttributesType Gdk::operator^ | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator^() [9/12]

WindowHints Gdk::operator^ | ( | WindowHints | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator^() [10/12]

WindowState Gdk::operator^ | ( | WindowState | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator^() [11/12]

WMDecoration Gdk::operator^ | ( | WMDecoration | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator^() [12/12]

WMFunction Gdk::operator^ | ( | WMFunction | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator^=() [1/12]

AnchorHints & Gdk::operator^= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator^=() [2/12]

AxisFlags & Gdk::operator^= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [3/12]

DragAction & Gdk::operator^= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator^=() [4/12]

EventMask & Gdk::operator^= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator^=() [5/12]

FrameClockPhase & Gdk::operator^= | ( | FrameClockPhase & | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator^=() [6/12]

ModifierType & Gdk::operator^= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator^=() [7/12]

SeatCapabilities & Gdk::operator^= | ( | SeatCapabilities & | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator^=() [8/12]

WindowAttributesType & Gdk::operator^= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator^=() [9/12]

WindowHints & Gdk::operator^= | ( | WindowHints & | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator^=() [10/12]

WindowState & Gdk::operator^= | ( | WindowState & | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator^=() [11/12]

WMDecoration & Gdk::operator^= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator^=() [12/12]

WMFunction & Gdk::operator^= | ( | WMFunction & | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator|() [1/12]

AnchorHints Gdk::operator| | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator|() [2/12]

AxisFlags Gdk::operator| | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator|() [3/12]

DragAction Gdk::operator| | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator|() [4/12]

EventMask Gdk::operator| | ( | EventMask | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator|() [5/12]

FrameClockPhase Gdk::operator| | ( | FrameClockPhase | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator|() [6/12]

ModifierType Gdk::operator| | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator|() [7/12]

SeatCapabilities Gdk::operator| | ( | SeatCapabilities | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator|() [8/12]

WindowAttributesType Gdk::operator| | ( | WindowAttributesType | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator|() [9/12]

WindowHints Gdk::operator| | ( | WindowHints | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator|() [10/12]

WindowState Gdk::operator| | ( | WindowState | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator|() [11/12]

WMDecoration Gdk::operator| | ( | WMDecoration | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator|() [12/12]

WMFunction Gdk::operator| | ( | WMFunction | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator|=() [1/12]

AnchorHints & Gdk::operator|= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator|=() [2/12]

AxisFlags & Gdk::operator|= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [3/12]

DragAction & Gdk::operator|= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator|=() [4/12]

EventMask & Gdk::operator|= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) |  |
| inline

## ◆ operator|=() [5/12]

FrameClockPhase & Gdk::operator|= | ( | FrameClockPhase & | lhs,
|  | FrameClockPhase | rhs
| ) |  |
| inline

## ◆ operator|=() [6/12]

ModifierType & Gdk::operator|= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator|=() [7/12]

SeatCapabilities & Gdk::operator|= | ( | SeatCapabilities & | lhs,
|  | SeatCapabilities | rhs
| ) |  |
| inline

## ◆ operator|=() [8/12]

WindowAttributesType & Gdk::operator|= | ( | WindowAttributesType & | lhs,
|  | WindowAttributesType | rhs
| ) |  |
| inline

## ◆ operator|=() [9/12]

WindowHints & Gdk::operator|= | ( | WindowHints & | lhs,
|  | WindowHints | rhs
| ) |  |
| inline

## ◆ operator|=() [10/12]

WindowState & Gdk::operator|= | ( | WindowState & | lhs,
|  | WindowState | rhs
| ) |  |
| inline

## ◆ operator|=() [11/12]

WMDecoration & Gdk::operator|= | ( | WMDecoration & | lhs,
|  | WMDecoration | rhs
| ) |  |
| inline

## ◆ operator|=() [12/12]

WMFunction & Gdk::operator|= | ( | WMFunction & | lhs,
|  | WMFunction | rhs
| ) |  |
| inline

## ◆ operator~() [1/12]

AnchorHints Gdk::operator~ | ( | AnchorHints | flags | ) |
| inline

## ◆ operator~() [2/12]

AxisFlags Gdk::operator~ | ( | AxisFlags | flags | ) |
| inline

## ◆ operator~() [3/12]

DragAction Gdk::operator~ | ( | DragAction | flags | ) |
| inline

## ◆ operator~() [4/12]

EventMask Gdk::operator~ | ( | EventMask | flags | ) |
| inline

## ◆ operator~() [5/12]

FrameClockPhase Gdk::operator~ | ( | FrameClockPhase | flags | ) |
| inline

## ◆ operator~() [6/12]

ModifierType Gdk::operator~ | ( | ModifierType | flags | ) |
| inline

## ◆ operator~() [7/12]

SeatCapabilities Gdk::operator~ | ( | SeatCapabilities | flags | ) |
| inline

## ◆ operator~() [8/12]

WindowAttributesType Gdk::operator~ | ( | WindowAttributesType | flags | ) |
| inline

## ◆ operator~() [9/12]

WindowHints Gdk::operator~ | ( | WindowHints | flags | ) |
| inline

## ◆ operator~() [10/12]

WindowState Gdk::operator~ | ( | WindowState | flags | ) |
| inline

## ◆ operator~() [11/12]

WMDecoration Gdk::operator~ | ( | WMDecoration | flags | ) |
| inline

## ◆ operator~() [12/12]

WMFunction Gdk::operator~ | ( | WMFunction | flags | ) |
| inline